Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class ThemeDefinitionId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.ThemeDefinitionId

All Implemented Interfaces
  Serializable

    public class ThemeDefinitionId

extends Id

Represents the primary keys of `Theme` definition objects in the database, and is used to uniquely identify them. `ThemeDefinitionId` will be needed when customizing `Theme` definitions on a desktop.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`ThemeDefinitionId(int id)`

Method Summary
`protected Object` | `clone()`
`static ThemeDefinitionId` | `clone(ThemeDefinitionId themeDefinitionId)`
`static ThemeDefinitionId` | `createThemeDefinitionId(int id)`

Methods inherited from class com.bea.netuix.application.identifier.Id
`equals, equals, getId, getUniqueLabel, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ThemeDefinitionId

    public ThemeDefinitionId(int id)

Parameters
  `id` - the integer value that this `ThemeDefinitionId` should be set to.

Method Detail

### createThemeDefinitionId

    public static ThemeDefinitionId createThemeDefinitionId(int id)

  Parameters
    `id` - the integer value that this `ThemeDefinitionId` should be set to.
  Returns
    a new `ThemeDefinitionId` with the id value set to the integer passed in.

### clone

    public static ThemeDefinitionId clone(ThemeDefinitionId themeDefinitionId)

  Parameters
    `themeDefinitionId` - the `ThemeDefinitionId` to be cloned.
  Returns
    a new `ThemeDefinitionId` with the exact same id value as the `ThemeDefinitionId` passed in.

### clone

    protected Object clone()

  Overrides:
    `clone` in class `Object`
  Returns
    a new `ThemeDefinitionId` with the exact same id value as this `ThemeDefinitionId`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.